FacetRequest.SortOrder (Lucene 3.6.2 API)
Keywords: org.apache.lucene.facet.search.params.FacetRequest.SortOrder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.lucene.facet.search.params
Enum FacetRequest.SortOrder

    java.lang.Object
      java.lang.Enum<FacetRequest.SortOrder>
          org.apache.lucene.facet.search.params.FacetRequest.SortOrder

All Implemented Interfaces:
  Serializable, Comparable<FacetRequest.SortOrder>

Enclosing class:
  FacetRequest

    public static enum FacetRequest.SortOrder

extends Enum<FacetRequest.SortOrder>

Requested sort order for the results.

Enum Constant Summary
`ASCENDING`
`DESCENDING`

Method Summary
`static FacetRequest.SortOrder` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FacetRequest.SortOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ASCENDING

    public static final FacetRequest.SortOrder ASCENDING

### DESCENDING

    public static final FacetRequest.SortOrder DESCENDING

Method Detail

### values

    public static final FacetRequest.SortOrder[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(FacetRequest.SortOrder c : FacetRequest.SortOrder.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static FacetRequest.SortOrder valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD